export declare const evaluateListFake: {
    avatar: string;
    userName: string;
    rate: number;
    size: string;
    evaluate: string;
    imgUrls: {
        imgUrl: string;
    }[];
}[];
export declare const addressListFake: {
    id: number;
    name: string;
    phone: string;
    address: string;
    default: number;
}[];
export declare const couponListFake: {
    title: string;
    date: string;
    price: number;
}[];
export declare const goodsDetailFake: {
    goodsId: number;
    goodsBillbatch: null;
    spuCode: string;
    freightTemCode: null;
    memberCode: string;
    memberMcode: string;
    memberMname: string;
    goodsSdate: null;
    goodsEdate: null;
    goodsDay: null;
    goodsDayinfo: null;
    memberName: string;
    memberCcode: string;
    memberCname: string;
    goodsClass: string;
    goodsSenum: null;
    goodsSeweight: null;
    memberBcode: null;
    memberBname: null;
    saleChannel: null;
    goodsCode: string;
    goodsOldcode: string;
    dataOpbillstate: number;
    dataOpnextbillstate: number;
    goodsName: string;
    goodsThdate: null;
    goodsOdate: null;
    goodsHdate: number;
    goodsOrigin: string;
    goodsSp: null;
    goodsPro: string;
    goodsType: string;
    pntreeCode: string;
    pntreeName: string;
    classtreeCode: string;
    classtreeName: string;
    classtreeShopcode: null;
    classtreeShopname: null;
    partsnameName: null;
    productareaName: null;
    goodsMaterial: string;
    goodsShowname: string;
    channelName: string;
    goodsShowno: string;
    goodsSpec: string;
    goodsSpec1: string;
    goodsSpec2: string;
    goodsSpec3: string;
    goodsSpec4: string;
    goodsSpec5: string;
    goodsProperty: null;
    goodsProperty1: string;
    goodsProperty2: string;
    goodsProperty3: string;
    goodsProperty4: string;
    goodsProperty5: string;
    goodsMinnum: number;
    goodsOneweight: number;
    goodsWeight: number;
    goodsNum: number;
    goodsSupplynum: number;
    goodsSupplyweight: number;
    goodsAhnum: number;
    goodsAhweight: number;
    brandCode: string;
    brandName: string;
    goodsHangnum: number;
    goodsHangweight: number;
    goodsTopnum: null;
    goodsTopweight: null;
    goodsOrdnum: number;
    goodsOrdweight: number;
    partsnameNumunit: null;
    partsnameWeightunit: null;
    pricesetNprice: number;
    pricesetMakeprice: number;
    pricesetBaseprice: number;
    pricesetMakeshow: null;
    pricesetAsprice: number;
    pricesetType: null;
    pricesetRefrice: number;
    pricesetPrefprice: number;
    pricesetInsideprice: number;
    areaCode: null;
    areaName: null;
    mschannelName: string;
    mschannelCode: string;
    warehouseCode: null;
    warehouseName: null;
    goodsContract: null;
    dataPic: string;
    dataPicpath: null;
    memberContact: null;
    memberContactPhone: null;
    memberContactQq: null;
    tenantCode: string;
    appmanageIcode: null;
    channelCode: string;
    goodsSort: number;
    goodsNo: string;
    ginfoCode: null;
    goodsEocode: null;
    goodsCodeOld: string;
    channelVer: number;
    channelTver: number;
    pricesetCurrency: null;
    pricesetCurrency1: null;
    goodsRemark: string;
    goodsWebremark: null;
    rsGoodsFileDomainList: {
        goodsFileId: number;
        goodsFileCode: string;
        skuCode: null;
        goodsCode: string;
        goodsFileSort: null;
        goodsFilesortName: null;
        goodsFileType: null;
        defaultState: number;
        goodsFileName: null;
        goodsFileUrl: string;
        memberCode: string;
        memberName: string;
        appmanageIcode: null;
        tenantCode: string;
        userCode: null;
        userName: null;
        companyCode: null;
        companyShortname: null;
        departCode: null;
        departShortname: null;
        employeeCode: null;
        employeeName: null;
    }[];
    rsGoodsRelDomainList: null;
    goodsList: null;
    rsSkuDomainList: {
        skuId: number;
        ginfoCode: null;
        skuCode: string;
        skuName: string;
        spuCode: string;
        skuOldcode: string;
        goodsOldcode: string;
        skuRemark: null;
        goodsCode: string;
        brandCode: string;
        brandName: string;
        skuShowno: string;
        goodsShowno: string;
        channelName: string;
        pricesetNprice: number;
        pricesetMakeprice: number;
        pricesetBaseprice: number;
        pricesetAsprice: number;
        pricesetRefrice: number;
        goodsTopnum: null;
        goodsTopweight: null;
        pricesetPrefprice: number;
        goodsClass: string;
        pricesetInsideprice: number;
        appmanageIcode: null;
        tenantCode: string;
        goodsMinnum: number;
        goodsOneweight: number;
        partsnameNumunit: null;
        partsnameWeightunit: null;
        channelVer: number;
        channelTver: number;
        goodsWeight: number;
        goodsNum: number;
        goodsSupplynum: number;
        goodsSupplyweight: number;
        goodsAhnum: number;
        goodsAhweight: number;
        goodsHangnum: number;
        goodsHangweight: number;
        goodsOrdnum: number;
        goodsOrdweight: number;
        classtreeCode: string;
        classtreeShopcode: null;
        skuOdate: null;
        skuHdate: number;
        dataOpbillstate: number;
        goodsSalesvolume: null;
        skuBarcode: null;
        saleChannel: null;
        skuNo: string;
        goodsNo: string;
        mschannelName: string;
        mschannelCode: string;
        skuSort: number;
        channelCode: string;
        skuCodeOld: string;
        goodsPro: string;
        goodsType: string;
        dataPic: string;
        freightTemCode: null;
        goodsName: string;
        propertiesList: null;
        specList: null;
        rsGoodsFileDomainList: {
            goodsFileId: number;
            goodsFileCode: string;
            skuCode: string;
            goodsCode: null;
            goodsFileSort: null;
            goodsFilesortName: null;
            goodsFileType: null;
            defaultState: number;
            goodsFileName: null;
            goodsFileUrl: string;
            memberCode: string;
            memberName: string;
            appmanageIcode: null;
            tenantCode: string;
            userCode: null;
            userName: null;
            companyCode: null;
            companyShortname: null;
            departCode: null;
            departShortname: null;
            employeeCode: null;
            employeeName: null;
        }[];
        memberCname: string;
        memberName: string;
        memberCode: string;
        memberCcode: string;
        rsGoodsRelDomainList: null;
        showWeight: number;
        showNum: number;
        goodsOrigin: string;
        skuEocode: null;
        memberMcode: string;
        memberMname: string;
        goodsEocode: null;
        goodsShowname: string;
        classtreeName: string;
        classtreeShopname: null;
        goodsSp: null;
        dataOpnextbillstate: number;
        goodsSenum: null;
        goodsSeweight: null;
        memberBcode: null;
        memberBname: null;
        mpriceType: null;
    }[];
    rsSpecValueDomainList: {
        specValueId: number;
        specValueCode: string;
        spuCode: string;
        specGroupCode: string;
        specCode: string;
        specName: string;
        specValueValue: string;
        specValueType: string;
        specValueFlag: string;
        specValueBillno: string;
        appmanageIcode: null;
        tenantCode: string;
        specOptionNum: null;
        specOptionNum1: null;
    }[];
    rsPropertiesValueDomainList: null;
    delSkuId: null;
    freightTemName: null;
    skuNo: string;
    rsGoodsShopDomainList: null;
    rsGoodsWhDomainList: null;
    gmtCreate: number;
    gmtModified: number;
    memo: null;
    dataState: number;
    isShow: null;
    classtreeFullName: null;
    skuList: null;
};
